For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
      • GETList Leads
      • POSTCreate a new lead
      • POSTMerge two leads
      • GETGet a single Lead
      • PUTUpdate an existing lead
      • DELDelete a lead
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM CoreLeads

Create a new lead

||View as Markdown|
POST
https://api.close.com/api/v1/lead/
POST
/api/v1/lead/
$curl -X POST https://api.close.com/api/v1/lead/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "addresses": [
> {
> "address_1": "747 Howard St",
> "address_2": "Room 3",
> "city": "San Francisco",
> "country": "US",
> "label": "business",
> "state": "CA",
> "zipcode": "94103"
> }
> ],
> "contacts": [
> {
> "emails": [
> {
> "email": "gob@example.com",
> "type": "office"
> }
> ],
> "name": "Gob",
> "phones": [
> {
> "phone": "8004445555",
> "type": "office"
> }
> ],
> "title": "Sr. Vice President"
> }
> ],
> "custom.cf_FSYEbxYJFsnY9tN1OTAPIF33j7Sw5Lb7Eawll7JzoNh": "Segway",
> "custom.cf_ORxgoOQ5YH1p7lDQzFJ88b4z0j7PLLTRaG66m8bmcKv": "Website contact form",
> "custom.cf_bA7SU4vqaefQLuK5UjZMVpbfHK4SVujTJ9unKCIlTvI": "Real Estate",
> "custom.cf_nenE344jkwrjyRRezwsf8b4V1MCoXWIDHIStmFavZks": [
> "Choice 1",
> "Choice 2"
> ],
> "description": "Best. Show. Ever.",
> "name": "Bluth Company",
> "status_id": "stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk",
> "url": "http://thebluthcompany.tumblr.com/"
>}'
1{
2 "contact_ids": [
3 "cont_qpjDKxbN3WWsuhaJjg2Qr9pkqHqe1yviZ5BS0dEyz05"
4 ],
5 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
6 "date_created": "2013-02-20T05:30:24.854000+00:00",
7 "date_updated": "2013-02-20T05:30:24.854000+00:00",
8 "description": "Best. Show. Ever.",
9 "html_url": "https://app.close.com/lead/lead_70jZ5hiVt5X31MZ3vJ0R0GJMqJEihkoF7TtSVFbN2ty/",
10 "id": "lead_70jZ5hiVt5X31MZ3vJ0R0GJMqJEihkoF7TtSVFbN2ty",
11 "name": "Bluth Company",
12 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
13 "status_id": "stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk",
14 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
15 "url": "http://thebluthcompany.tumblr.com/",
16 "addresses": [
17 {
18 "address_1": "747 Howard St",
19 "address_2": "Room 3",
20 "city": "San Francisco",
21 "country": "US",
22 "label": "business",
23 "state": "CA",
24 "zipcode": "94103"
25 }
26 ],
27 "display_name": "Bluth Company",
28 "status_label": "Potential",
29 "tasks": [],
30 "contacts": [
31 {
32 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
33 "date_created": "2013-02-20T05:30:24.844000+00:00",
34 "date_updated": "2013-02-20T05:30:24.844000+00:00",
35 "display_name": "Gob",
36 "id": "cont_qpjDKxbN3WWsuhaJjg2Qr9pkqHqe1yviZ5BS0dEyz05",
37 "name": "Gob",
38 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
39 "title": "sr. vice president",
40 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
41 "emails": [
42 {
43 "email": "gob@example.com",
44 "is_unsubscribed": false,
45 "type": "office"
46 }
47 ],
48 "phones": [
49 {
50 "phone": "+18004445555",
51 "type": "office",
52 "phone_formatted": "+1 800-444-5555"
53 }
54 ]
55 }
56 ],
57 "opportunities": [],
58 "custom.cf_FSYEbxYJFsnY9tN1OTAPIF33j7Sw5Lb7Eawll7JzoNh": "Segway",
59 "custom.cf_ORxgoOQ5YH1p7lDQzFJ88b4z0j7PLLTRaG66m8bmcKv": "Website contact form",
60 "custom.cf_bA7SU4vqaefQLuK5UjZMVpbfHK4SVujTJ9unKCIlTvI": "Real Estate",
61 "custom.cf_nenE344jkwrjyRRezwsf8b4V1MCoXWIDHIStmFavZks": [
62 "Choice 1",
63 "Choice 2"
64 ]
65}
Contacts, addresses, and custom fields can all be nested in the lead. Activities, tasks, and opportunities must be posted separately. **status / status_id** (optional): Post either `status` or `status_id` (but not both). If neither is provided, the organization's default (first) status will be used. Using `status_id` is recommended so that users can rename statuses in the UI without breaking your implementation. **custom.FIELD_ID** (optional): Set custom fields by setting `custom.FIELD_ID` to the field value, where FIELD_ID is the ID of the custom field, e.g.: ```json { "custom.cf_v6S011I6MqcbVvB2FA5Nk8dr5MkL8sWuCiG8cUleO9c": "value", "custom.cf_8wtBWsdRU2Fur7GDnEeXQ7ra2Vu7R4hG1SNYdiEhh0F": "other value" } ``` If a custom field has `accepts_multiple_values: true`, the entire value will be replaced. For example, given a Lead has a Custom Choice Field with value `["A", "B"]`, adding choice `"C"` would mean setting the value to `["A", "B", "C"]`. Note that using the `custom` field dict or the `custom.FIELD_NAME` syntax (instead of custom field IDs) is deprecated and will be removed from the API. See [Custom Fields](https://developer.close.com/api/resources/custom-fields) for more details.
Was this page helpful?
Previous

List Leads

Next

Merge two leads

Built with

Contacts, addresses, and custom fields can all be nested in the lead. Activities, tasks, and opportunities must be posted separately.

status / status_id (optional): Post either status or status_id (but not both). If neither is provided, the organization’s default (first) status will be used. Using status_id is recommended so that users can rename statuses in the UI without breaking your implementation.

custom.FIELD_ID (optional): Set custom fields by setting custom.FIELD_ID to the field value, where FIELD_ID is the ID of the custom field, e.g.:

1{ "custom.cf_v6S011I6MqcbVvB2FA5Nk8dr5MkL8sWuCiG8cUleO9c": "value", "custom.cf_8wtBWsdRU2Fur7GDnEeXQ7ra2Vu7R4hG1SNYdiEhh0F": "other value" }

If a custom field has accepts_multiple_values: true, the entire value will be replaced. For example, given a Lead has a Custom Choice Field with value ["A", "B"], adding choice "C" would mean setting the value to ["A", "B", "C"].

Note that using the custom field dict or the custom.FIELD_NAME syntax (instead of custom field IDs) is deprecated and will be removed from the API. See Custom Fields for more details.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects any.

Response

Successful response
contact_idslist of strings
created_bystring or null
date_createddatetime
date_updateddatetime
descriptionstring or null
html_urlstring
idstring
namestring or null
organization_idstring
status_idstring
updated_bystring or null
urlstring or null
addresseslist of objects
contacts_summarystring
created_by_namestring or null
display_namestring
integration_linkslist of objects
localtimedatetime or null
primary_address_summarystring or null
primary_emailobject or null
primary_phoneobject or null
recent_callslist of maps from strings to any
sourcestring or null
status_labelstring
summarieslist of maps from strings to any
taskslist of maps from strings to any
updated_by_namestring or null
contactslist of objectsDeprecated
opportunitieslist of objectsDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error